Components
Update a component
Scope: component:write
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
component_id*component_id
The component_id path parameter.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
UpdateComponentRequest carries the fields to change. Omitted fields are left as they are.
Response Body
application/json
curl -X PATCH "https://example.com/v1/components/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "component": { "id": "string", "name": "string", "description": "string", "labels": { "property1": "string", "property2": "string" }, "tags": [ { "name": "string", "digest": "string", "immutable": true, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" } ], "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z" }}